//----------------------------------------------------------------------//
// CapStick																//
//	IvVݒ														//
//																		//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop

#include <mmsystem.h>

#include "UserFunc.h"
#include "Unit1.h"
#include "Unit2.h"

//---------------------------------------------------------------------
#pragma resource "*.dfm"
TOptionDlg *OptionDlg;

//---------------------------------------------------------------------
__fastcall TOptionDlg::TOptionDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------------
void __fastcall TOptionDlg::FormCreate(TObject *Sender)
{
	str_to_ComboBox(ScaleOptComboBox,
		"jAXglCo[|oCjA|oCL[rbN|t@gTvO");
}
//---------------------------------------------------------------------------
void __fastcall TOptionDlg::FormShow(TObject *Sender)
{
	HideWaitEdit->NumbersOnly	= true;
	HideWaitEdit->Text			= IntToStr(CapStickForm->HideWait);
	CapWaitEdit->NumbersOnly	= true;
	CapWaitEdit->Text			= IntToStr(CapStickForm->CaptureWait);
	JpgTrackBar->Position		= CapStickForm->JpegQuality;
	AllIconCheckBox->Checked	= CapStickForm->ExtAllIcon;

	ChgSndEdit->Text			= CapStickForm->SoundChgImg;
	CapSndEdit->Text			= CapStickForm->SoundCapImg;

	ActClassEdit->Text			= CapStickForm->CopyActWndClass;
	ActTitleEdit->Text			= CapStickForm->CopyActWndTitle;
	ActTitle2Edit->Text 		= CapStickForm->CopyActWndTitleR;
	CpyCmdEdit->Text			= CapStickForm->CopyCmdLine;
	SendKeyEdit->Text			= CapStickForm->CopySendKey;
	SavCmdEdit->Text			= CapStickForm->SaveCmdLine;
	ScaleOptComboBox->ItemIndex = CapStickForm->ScaleOpt;
}
//---------------------------------------------------------------------------
//TEht@CQ
//---------------------------------------------------------------------------
void __fastcall TOptionDlg::RefSndBtnClick(TObject *Sender)
{
	TComponent *cp = dynamic_cast<TComponent *>(Sender);	if (cp==NULL) return;

	OpenDialog1->Title		= "TEht@C̎w";
	OpenDialog1->FileName	= EmptyStr;
	OpenDialog1->Filter 	= "WAVt@C|*.WAV";
	OpenDialog1->DefaultExt = "wav";
	OpenDialog1->InitialDir	= ExtractFileDir((cp->Tag==0)? ChgSndEdit->Text : CapSndEdit->Text);
	if (OpenDialog1->InitialDir.IsEmpty())
		OpenDialog1->InitialDir = ExtractFileDir(Application->ExeName);

	if (OpenDialog1->Execute()) {
		UnicodeString fnam  = OpenDialog1->FileName;
		UnicodeString exdir = ExtractFilePath(Application->ExeName);
		if (fnam.UpperCase().Pos(exdir.UpperCase())==1) fnam.Delete(1, exdir.Length());
		switch (cp->Tag) {
		case 0: ChgSndEdit->Text = fnam; break;
		case 1: CapSndEdit->Text = fnam; break;
		}
		::sndPlaySound(OpenDialog1->FileName.c_str(), SND_ASYNC);
	}
}
//---------------------------------------------------------------------------
//TEh̃eXg
//---------------------------------------------------------------------------
void __fastcall TOptionDlg::TestSndBtnClick(TObject *Sender)
{
	TComponent *cp = dynamic_cast<TComponent *>(Sender);	if (cp==NULL) return;
	UnicodeString fnam = (cp->Tag==0)? ChgSndEdit->Text : CapSndEdit->Text;
	::sndPlaySound(fnam.c_str(), SND_ASYNC);
}

//---------------------------------------------------------------------------
//svOQ
//---------------------------------------------------------------------------
void __fastcall TOptionDlg::RefCmdBtnClick(TObject *Sender)
{
	TComponent *cp = dynamic_cast<TComponent *>(Sender);	if (cp==NULL) return;

	OpenDialog1->Title		= "svO̎w";
	OpenDialog1->FileName	= EmptyStr;
	OpenDialog1->Filter 	= "st@C|*.EXE";
	OpenDialog1->DefaultExt = "exe";
	if (OpenDialog1->Execute()) {
		UnicodeString fnam  = OpenDialog1->FileName;
		switch (cp->Tag) {
		case 0: CpyCmdEdit->Text = fnam; break;
		case 1: SavCmdEdit->Text = fnam; break;
		}
	}
}
//---------------------------------------------------------------------------
void __fastcall TOptionDlg::JpgTrackBarChange(TObject *Sender)
{
	JpgLabel->Caption = IntToStr(JpgTrackBar->Position);
}

//---------------------------------------------------------------------------
//ݒm
//---------------------------------------------------------------------------
void __fastcall TOptionDlg::OKBtnClick(TObject *Sender)
{
	CapStickForm->HideWait		   = HideWaitEdit->Text.ToIntDef(100);
	CapStickForm->CaptureWait	   = CapWaitEdit->Text.ToIntDef(3000);
	CapStickForm->JpegQuality	   = JpgTrackBar->Position;
	CapStickForm->ExtAllIcon	   = AllIconCheckBox->Checked;
	CapStickForm->SoundChgImg	   = ChgSndEdit->Text;
	CapStickForm->SoundCapImg	   = CapSndEdit->Text;
	CapStickForm->CopyActWndClass  = ActClassEdit->Text;
	CapStickForm->CopyActWndTitle  = ActTitleEdit->Text;
	CapStickForm->CopyActWndTitleR = ActTitle2Edit->Text;
	CapStickForm->CopyCmdLine	   = CpyCmdEdit->Text;
	CapStickForm->CopySendKey	   = SendKeyEdit->Text;
	CapStickForm->SaveCmdLine	   = SavCmdEdit->Text;
	CapStickForm->ScaleOpt		   = ScaleOptComboBox->ItemIndex;
}
//---------------------------------------------------------------------------

